Package org.bukkit.event.entity

# Class EntityBreakDoorEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityChangeBlockEvent
org.bukkit.event.entity.EntityBreakDoorEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityBreakDoorEvent extends EntityChangeBlockEvent
Called when an `Entity` breaks a door

Cancelling the event will cause the event to be delayed

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityBreakDoorEvent(@NotNull LivingEntity entity, @NotNull Block targetBlock)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull LivingEntity`
`getEntity()`
Returns the Entity involved in this event

### Methods inherited from class org.bukkit.event.entity.EntityChangeBlockEvent

`getBlock, getBlockData, getHandlerList, getHandlers, getTo, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityBreakDoorEvent

public EntityBreakDoorEvent(@NotNull @NotNull LivingEntity entity, @NotNull @NotNull Block targetBlock)

## Method Details

### getEntity

@NotNull public @NotNull LivingEntity getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event